package org.tsutils;

public class TSUtils {
	
	public static Timestamper getTimestamper() {
		if (RdtscTimestamper.isAvailable()) {
			return new RdtscTimestamper();
		}
		return new SystemTimestamper();
	}
	
	public static Timestamper getTimestamper(String type) {
		if (type.equalsIgnoreCase("system")) {
			return new SystemTimestamper();
		} else if (type.equalsIgnoreCase("rdtsc")) {
			return new RdtscTimestamper();
		}
		throw new IllegalArgumentException("Cannot find timestamper: " + type);
	}
}